<?php 
	$header_file=APPPATH.'views/include/header.php';
	require($header_file);
	$sidenav_file=APPPATH.'views/include/sidenav.php';
	require($sidenav_file);	?>
<link rel="stylesheet" href="<?php echo base_url(); ?>assets/css_keyb/index.css">  
<style>
    .akeyboard-keyboard-fixedBottomCenter {
    width: 100% !important;
    position: inherit!important;
    bottom: 0px;
    left: 0px;
    border-radius: 0 !important;
}
</style>
    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">Product DC</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="#">Home</a>
                  </li>
                  <li class="breadcrumb-item"><a href="#">Product DC</a>
                  </li>
                  <li class="breadcrumb-item active">Product DC Entry
                  </li>
                </ol>
              </div>
            </div>
          </div>
          
        </div>
        <div class="content-body"><!-- Basic form layout section start -->
<section id="basic-form-layouts">
	<div class="row justify-content-md-center">
		<div class="col-md-12">
			<div class="card">
				<div class="card-content collapse show">
					<div class="card-body">
						<form class="form" autocomplete="off" action="<?php echo site_url('Issues/addDCIssue');?>" method="post">
							<div class="row justify-content-md-center">
								<div class="col-md-4 mleft">
									<div class="form-body">
										<div class="form-group">
										<?php $cur_date = date("d-m-Y");
										$cur_time = date("H:i:s");
										$branch_id = $_SESSION['branch_id'];
										$branch_name = $_SESSION['branch_name'];
										$full_name = $_SESSION['full_name']; ?>
											<label for="eventInput1">Issue Date</label>
										<!--	<input class="form-control" type="text" name="issue_date" id="issue_date" value="<?php //echo $cur_date ?>" readonly >-->
											<input class="form-control pickadate datepicker picker__input picker__input--active" type="text" name="issue_date"  id="uk_dp_1" required data-uk-datepicker="{format:'DD-MM-YYYY'}" placeholder="Issue Date">
										<input class="form-control" type="hidden" name="issue_time" id="issue_time" value="<?php echo $cur_time ?>" readonly >	
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Outlet Name</label>
											<select name="outlet" id="outlet" class="form-control select2" required>
												<option value="">Select Outlet</option>
													<?php  foreach($outlet as $olt)
													{
												?>
												<option value="<?php echo $olt->username ?>"><?php echo $olt->full_name ?></option>
												
												<?php
													} 
												?>
											</select>
											<input type="hidden" id="branch_id" class="form-control"  name="branch_id" value="<?php echo $branch_id;?>">
											<input type="hidden" id="branch_name" class="form-control"  name="branch_name" value="<?php echo $branch_name;?>">
											<input type="hidden" id="full_name" class="form-control"  name="full_name" value="<?php echo $full_name;?>">
											
										</div>
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-body">
										<div class="form-group">
											<label for="eventInput1">Select Vehicle</label>
											<select class="form-control select2" id="vehicle_id" name="vehicle_id"  required>
        										<option value="">Select</option>
        										<?php foreach($vehicle as $row1)
        											{ 
        											?>
        											<option value="<?php echo $row1->vehicle_id; ?>"><?php echo $row1->vehicle_name; ?></option>
        											<?php	 
        											}
        										?>
        									</select>
        									<input type="hidden" class="form-control num"  name="vehicle_name" id="vehicle_name" >
											
											
										</div>
									</div>
								</div>
                                <br>
    
							</div>
					<div class="">
						<div class="text_increment">
							<div>
								<div class="row">
									<div class="col-md-3">
										<div class="form-group">
											<select name="item_name[]" id="item_name" class="form-control select2" required>
												<option value="">Select Item</option>
												<?php  foreach($items as $row)
													{
												?>
													<option value="<?php echo $row->item_name ?>"><?php echo $row->item_name ?></option>
												<?php
													} 
												?>
											</select>
											<input class="" type="hidden" name="it_name[]" id="it_name" readonly />
										
											<input class="" type="hidden" name="remarks[]" id="remarks" Placeholder="Remarks"/>
											<input class="" type="hidden" name="item_id[]" id="item_id"  readonly />
											<input class="" type="hidden" name="cat_id[]" id="cat_id" readonly />
											<input class="" type="hidden" name="itm_id[]" id="itm_id" readonly />
										</div>
									</div>
									
								    <div class="col-md-1">
										<div class="form-group">
											<input class="form-control" type="text" name="uom[]" id="uom"  readonly  placeholder="UOM" />
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control" type="text" name="close_stock[]"  id="close_stock" readonly placeholder="CSTK"/>
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control quantity" type="text"  name="quantity[]"  id="quantity" required placeholder="QTY" />
											
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input class="form-control" type="text" name="price[]" id="price" placeholder="Price" />
											
										
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
										
											<input class="form-control" type="text" name="ttl_price[]" id="ttl_price" readonly />	
										
										</div>
									</div>
									<!--<div class="col-md-1">
										<div class="form-group">
											
											<input class="form-control" type="text" name="tax[]" id="tax" readonly />
										
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											
											<input class="form-control" type="text" name="tax_amt[]" id="tax_amt" readonly />
											
										</div>
									</div>-->
									<div class="col-md-1">
										<div class="form-group">
											
											<input class="form-control t_amt" type="text" name="total[]" id="total" readonly />
											
										</div>
									</div>
								</div>
							</div>	
						</div>
					</div>

							<div class="form-actions text-right">
								<div class="col-md-2 mleft">
								<div class="form-group">
									
									<input class="form-control" type="hidden" name="total_amt" id="total_amt" readonly placeholder="Total Amount"/>
								</div>
							</div>
								<button type="reset" class="btn btn-warning ">
									<i class="la la-close"></i> Cancel
								</button>
								<button type="submit" class="btn btn-primary" onclick="return confirm('Are you sure you want to submit this form?')" >
									<i class="la la-check-square-o"></i> Save
								</button>
							</div>
						</form>	

					</div>
				</div>
				<div class="col-md-1 md-fab-wrapper plus">
				    
					<a href="javascript:void(0);" class="add_button" title="Add field"><i class="la la1 la-plus-circle"></i>
					<!--<img src="<?php //echo base_url(); ?>app-assets/images/add-icon.png" class="image_logo"/>-->
					</a>
				</div>
				<br/>
			</div>
		</div>
	</div>

</section>
<!-- // Basic form layout section end -->
        </div>
      </div>
    </div>
    <?php //require('include/theme_customizer.php');?>

   <?php 
  $footer_file=APPPATH.'views/include/footer.php';
	require($footer_file);
	?>
<script type="text/javascript">
		$(document).ready(function(){
		    
			var maxField = 100; //Input fields increment limitation
			var addButton = $('.add_button'); //Add button selector
			var wrapper = $('.text_increment'); //Input field wrapper
			var x = 1; //Initial field counter is 1
			var counter = 1;
			
			//$(addButton).click(function(){ 
			$(document).on("click",".add_button",function() {  //Once add button is clicked
				if(x < maxField){ //Check maximum number of input fields
					x++; //Increment field counter
					$(wrapper).append('<div><div class="row"><div class="col-md-3"><div class="form-group"><select name="item_name[]" id="item_name'+counter+'" class="form-control select2" required><option value="">Select Item</option><?php  foreach($items as $row) { ?><option value="<?php echo $row->item_name ?>"><?php echo $row->item_name ?></option><?php } ?></select><input class="form-control" type="hidden" name="it_name[]" id="it_name'+counter+'" readonly /><input class="" type="hidden" name="remarks[]" id="remarks'+counter+'" Placeholder="Remarks"/><input class="" type="hidden" name="item_id[]" id="item_id'+counter+'"  readonly /><input class="" type="hidden" name="cat_id[]" id="cat_id'+counter+'" readonly /><input class="" type="hidden" name="itm_id[]" id="itm_id'+counter+'" readonly /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control" type="text" name="uom[]" id="uom'+counter+'"  readonly  placeholder="UOM" /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control" type="text" name="close_stock[]"  id="close_stock'+counter+'" readonly placeholder="CSTK"/></div></div><div class="col-md-1"><div class="form-group"><input class="form-control quantity" type="text"  name="quantity[]"  id="quantity'+counter+'" required placeholder="QTY" /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control" type="text" name="price[]" id="price'+counter+'" placeholder="Price" /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control" type="text" name="ttl_price[]" id="ttl_price'+counter+'" readonly /></div></div><div class="col-md-1"><div class="form-group"><input class="form-control t_amt" type="text" name="total[]" id="total'+counter+'" readonly /></div></div><div class="col-md-1 remove_button"><a href="javascript:void(0);" class="" title="Remove field"><img src="<?php echo base_url(); ?>app-assets/images/remove-icon.png" class="image_logo"/></a></div></div></div>'); 
					
				
					//alert(counter);
					//$('#main').hide();
					$(function () {
						$(".select2").select2();
						$('#quantity' + counter).keypress(function(e) {
							var a = [];
							var k = e.which;
							for (i = 46; i < 58; i++)
							a.push(i);
							if (!($.inArray(k,a)>=0))
							e.preventDefault();
						});
					});
					
                    
					$('#item_name' + counter).change(function(){
						var id = $(this).attr('id');
						// alert(id);
						id_length = id.length;
						if(id_length == 10) {
							counts = id.substr(-1);
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Issues/get_PItemDetails',
								success: function(data) {
									//alert(data.price);
																											
									$('#uom'+counts).val(data.uom);
									$('#item_id'+counts).val(data.item_id);
									$('#cat_id'+counts).val(data.category_id);
									$('#price'+counts).val(data.item_price);
									$('#tax'+counts).val(data.item_tax);
									$('#close_stock'+counts).val(data.stock_item);
									$('#itm_id'+counts).val(data.itm_id);
									
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
						else{
							counts = id.substr(-2);
							var i_name = $('#item_name'+counts).val();
							var branch_id = $('#branch_id').val();
							//alert(i_name);
							//alert(brname);
							$.ajax({
								type :'POST',
								dataType:'json',
								data : { iname : i_name,br_id : branch_id },
								url : '<?php echo base_url();?>index.php/Issues/get_PItemDetails',
								success: function(data) {
									//alert(data.price);
									$('#uom'+counts).val(data.uom);
									$('#item_id'+counts).val(data.item_id);
									$('#cat_id'+counts).val(data.category_id);
									$('#price'+counts).val(data.item_price);
									$('#tax'+counts).val(data.item_tax);
									$('#close_stock'+counts).val(data.stock_item);
									$('#itm_id'+counts).val(data.itm_id);
								}
							});
							//$("#item_name"+ counts).attr('disabled', 'disabled');
						}
					});
						
													
					$('#quantity'+counter).on('keyup',function() {
						var id = $(this).attr('id');
						id_length = id.length;
						if(id_length == 9) {
							counts = id.substr(-1);
							
							var qty = $('#quantity'+ counts).val();
							var stock = $('#close_stock'+ counts).val();
							var price = $('#price'+ counts).val();
							var tax = $('#tax'+ counts).val();
							/*var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
							var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
							var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);*/
							
							
							/*var tax1 = parseFloat(tax)/100;
                			var tax2 = tax1+1;
                			var basicamt = (parseFloat(price)/tax2).toFixed(2);
                			var taxamt2 = (parseFloat(price)-parseFloat(basicamt)).toFixed(2);
                			var taxamt=(parseFloat(qty) *parseFloat(taxamt2)).toFixed(2);
                			var basic_amount=(parseFloat(qty) *parseFloat(basicamt)).toFixed(2);*/
                			var basic = parseFloat(qty) * parseFloat(price);
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("you cant enter more than the stock");
								$('#quantity'+counts).val('');
								$('#ttl_price'+ counts).val(lt);
								$('#tax_amt'+ counts).val(lt);
								$('#total'+ counts).val(lt);
							}
							else
							{
								if (!isNaN(basic)) {
									$('#ttl_price'+ counts).val(basic);
								//	$('#tax_amt'+ counts).val(taxamt);
									$('#total'+ counts).val(basic);
								}
								var sum = 0;
								$('.t_amt').each(function() {
									sum += Number($(this).val());
								});
								$('#total_amt').val(sum.toFixed(2));
							}
						}
						else
						{
							counts = id.substr(-2);
							
							var qty = $('#quantity'+ counts).val();
							var stock = $('#close_stock'+ counts).val();
							var price = $('#price'+ counts).val();
							var tax = $('#tax'+ counts).val();
							/*var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
							var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
							var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);*/
							
							
							/*var tax1 = parseFloat(tax)/100;
                			var tax2 = tax1+1;
                			var basicamt = (parseFloat(price)/tax2).toFixed(2);
                			var taxamt2 = (parseFloat(price)-parseFloat(basicamt)).toFixed(2);
                			var taxamt=(parseFloat(qty) *parseFloat(taxamt2)).toFixed(2);
                			var basic_amount=(parseFloat(qty) *parseFloat(basicamt)).toFixed(2);*/
                			var basic = parseFloat(qty) * parseFloat(price);
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("you cant enter more than stock");
								$('#quantity'+counts).val('');
								$('#ttl_price'+ counts).val(lt);
								$('#tax_amt'+ counts).val(lt);
								$('#total'+ counts).val(lt);
							}
							else
							{
								if (!isNaN(basic)) {
									$('#ttl_price'+ counts).val(basic);
									//$('#tax_amt'+ counts).val(taxamt);
									$('#total'+ counts).val(basic);
								}
								var sum = 0;
								$('.t_amt').each(function() {
									sum += Number($(this).val());
								});
								$('#total_amt').val(sum.toFixed(2));
							}
						}
					});
					
					$('#price'+counter).on('keyup',function() {
						var id = $(this).attr('id');
						id_length = id.length;
						if(id_length == 6) {
							counts = id.substr(-1);
							
							var qty = $('#quantity'+ counts).val();
							var stock = $('#close_stock'+ counts).val();
							var price = $('#price'+ counts).val();
							var tax = $('#tax'+ counts).val();
							/*var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
							var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
							var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);*/
							
							
							/*var tax1 = parseFloat(tax)/100;
                			var tax2 = tax1+1;
                			var basicamt = (parseFloat(price)/tax2).toFixed(2);
                			var taxamt2 = (parseFloat(price)-parseFloat(basicamt)).toFixed(2);
                			var taxamt=(parseFloat(qty) *parseFloat(taxamt2)).toFixed(2);
                			var basic_amount=(parseFloat(qty) *parseFloat(basicamt)).toFixed(2);*/
                			var basic = parseFloat(qty) * parseFloat(price);
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("you cant enter more than the stock");
								$('#quantity'+counts).val('');
								$('#ttl_price'+ counts).val(lt);
								$('#tax_amt'+ counts).val(lt);
								$('#total'+ counts).val(lt);
							}
							else
							{
								if (!isNaN(basic)) {
									$('#ttl_price'+ counts).val(basic);
									//$('#tax_amt'+ counts).val(taxamt);
									$('#total'+ counts).val(basic);
								}
								var sum = 0;
								$('.t_amt').each(function() {
									sum += Number($(this).val());
								});
								$('#total_amt').val(sum.toFixed(2));
							}
						}
						else
						{
							counts = id.substr(-2);
							
							var qty = $('#quantity'+ counts).val();
							var stock = $('#close_stock'+ counts).val();
							var price = $('#price'+ counts).val();
							var tax = $('#tax'+ counts).val();
							/*var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
							var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
							var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);*/
							
							
							/*var tax1 = parseFloat(tax)/100;
                			var tax2 = tax1+1;
                			var basicamt = (parseFloat(price)/tax2).toFixed(2);
                			var taxamt2 = (parseFloat(price)-parseFloat(basicamt)).toFixed(2);
                			var taxamt=(parseFloat(qty) *parseFloat(taxamt2)).toFixed(2);
                			var basic_amount=(parseFloat(qty) *parseFloat(basicamt)).toFixed(2);*/
                			var basic = parseFloat(qty) * parseFloat(price);
							if(parseFloat(qty) > parseFloat(stock))
							{
								var lt = 0;
								alert("you cant enter more than stock");
								$('#quantity'+counts).val('');
								$('#ttl_price'+ counts).val(lt);
								$('#tax_amt'+ counts).val(lt);
								$('#total'+ counts).val(lt);
							}
							else
							{
								if (!isNaN(basic)) {
									$('#ttl_price'+ counts).val(basic);
									//$('#tax_amt'+ counts).val(taxamt);
									$('#total'+ counts).val(basic);
								}
								var sum = 0;
								$('.t_amt').each(function() {
									sum += Number($(this).val());
								});
								$('#total_amt').val(sum.toFixed(2));
							}
						}
					});
				}
				//alert(counter);
				counter++;
			});
			$(wrapper).on('click', '.remove_button', function(e){ //Once remove button is clicked
				e.preventDefault();
				$(this).parent('div').remove(); //Remove field html
				x--; //Decrement field counter
				counter--;
				var sum = 0;
				$('.t_amt').each(function() {
					sum += Number($(this).val());
				});
				$('#total_amt').val(sum.toFixed(2));
			});
		});
	</script>
	<script>
		$("#item_name").change(function(){
			var i_name = $('#item_name').val();
			var branch_id = $('#branch_id').val();
			//alert(i_name);
			//alert(brname);
			$.ajax({
				type :'POST',
				dataType:'json',
				data : { iname : i_name,br_id : branch_id },
				url : '<?php echo base_url();?>index.php/Issues/get_PItemDetails',
				success: function(data) {
					
					$('#uom').val(data.uom);
					$('#item_id').val(data.item_id);
					$('#cat_id').val(data.category_id);
				    $('#price').val(data.item_price);
					$('#tax').val(data.item_tax);
					$('#close_stock').val(data.stock_item);
					$('#itm_id').val(data.itm_id);
					//$('#quantity').focus();
				}
			});
			//$("#item_name").attr('disabled', 'disabled');
		});
	</script>
	<script>
		$('#quantity').on('keyup',function() {
			var qty = $('#quantity').val();
			var stock = $('#close_stock').val();
			var price = $('#price').val();
			var tax = $('#tax').val();
			/*var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
			var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
			var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);*/
			
			
			/*var tax1 = parseFloat(tax)/100;
			var tax2 = tax1+1;
			var basicamt = (parseFloat(price)/tax2).toFixed(2);
			var taxamt2 = (parseFloat(price)-parseFloat(basicamt)).toFixed(2);
			var taxamt=(parseFloat(qty) *parseFloat(taxamt2)).toFixed(2);
			var basic_amount=(parseFloat(qty) *parseFloat(basicamt)).toFixed(2);*/
			var basic = parseFloat(qty) * parseFloat(price);
			if(parseFloat(qty) > parseFloat(stock))
			{
				var lt = 0;
				alert("you cant enter more than the stock");
				$('#quantity').val('');
				$('#ttl_price').val(lt);
				$('#tax_amt').val(lt);
				$('#total').val(lt);
			}
			else
			{
				if (!isNaN(basic)) {
					$('#ttl_price').val(basic);
					//$('#tax_amt').val(taxamt);
					$('#total').val(basic);
				}
				var sum = 0;
				$('.t_amt').each(function() {
					sum += Number($(this).val());
				});
				$('#total_amt').val(sum.toFixed(2));
			}
		});
		
		$('#price').on('keyup',function() {
			var qty = $('#quantity').val();
			var stock = $('#close_stock').val();
			var price = $('#price').val();
			var tax = $('#tax').val();
			/*var result = (parseFloat(qty) * parseFloat(price)).toFixed(2);
			var tax_amt = ((parseFloat(result) * parseFloat(tax)) / 100).toFixed(2);
			var total = (parseFloat(result) + parseFloat(tax_amt)).toFixed(2);*/
			
			
			/*var tax1 = parseFloat(tax)/100;
			var tax2 = tax1+1;
			var basicamt = (parseFloat(price)/tax2).toFixed(2);
			var taxamt2 = (parseFloat(price)-parseFloat(basicamt)).toFixed(2);
			var taxamt=(parseFloat(qty) *parseFloat(taxamt2)).toFixed(2);
			var basic_amount=(parseFloat(qty) *parseFloat(basicamt)).toFixed(2);*/
			var basic = parseFloat(qty) * parseFloat(price);
			if(parseFloat(qty) > parseFloat(stock))
			{
				var lt = 0;
				alert("you cant enter more than the stock");
				$('#quantity').val('');
				$('#ttl_price').val(lt);
				$('#tax_amt').val(lt);
				$('#total').val(lt);
			}
			else
			{
				if (!isNaN(basic)) {
					$('#ttl_price').val(basic);
				//	$('#tax_amt').val(taxamt);
					$('#total').val(basic);
				}
				var sum = 0;
				$('.t_amt').each(function() {
					sum += Number($(this).val());
				});
				$('#total_amt').val(sum.toFixed(2));
			}
		});
	</script>
	<script>
		$(window).on('beforeunload', function () {
			//$("input[type=submit], input[type=button]").prop("disabled", "disabled");
			$("input[type=submit]").prop("disabled", "disabled");
			$("#submit").css("background-color","#dcdcdc");
		});
	</script>

  </body>
  <!-- END: Body-->

<!-- Mirrored from pixinvent.com/modern-admin-clean-bootstrap-4-dashboard-html-template/html/ltr/vertical-modern-menu-template/form-layout-basic.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 27 Apr 2020 09:38:02 GMT -->
</html>